<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__common" kind="group">
    <compoundname>group_tcpwm_common</compoundname>
    <title>Common</title>
    <innergroup refid="group__group__tcpwm__macros__common">Macros</innergroup>
    <innergroup refid="group__group__tcpwm__functions__common">Functions</innergroup>
    <innergroup refid="group__group__tcpwm__data__structures__common">Data Structures</innergroup>
    <innergroup refid="group__group__tcpwm__enums">Enumerated Types</innergroup>
    <briefdescription>
<para>Common API for the Timer Counter PWM Block. </para>    </briefdescription>
    <detaileddescription>
<para>This is the common API that provides an interface to the TCPWM hardware. The Timer Counter, PWM, and Quadrature Decoder drivers use this common API. Most users will use individual drivers and do not need to use the common API for the TCPWM.</para><para>The functions and other declarations used in this part of the driver are in cy_tcpwm.h. Include either of cy_tcpwm_counter.h, cy_tcpwm_pwm.h, cy_tcpwm_quaddec.h depending on the desired functionality. You can also include cy_pdl.h to get access to all functions and declarations in the PDL. </para>    </detaileddescription>
  </compounddef>
</doxygen>